RVM切换ruby版本

来源:IT165收集  发布日期:2016-01-13 23:14:34

RVM是Ruby Version Manager的缩写,是一个命令行工具,它可以让你轻松地安装,管理和使用多个版本的Ruby.不同的rails项目使用等ruby和rails版本不一样的时候,可以使用RVM自由切换。

安装RVM

Install RVM (development version)-安装ruby开发版

curl -sSL https://get.rvm.io | bash

Install RVM stable with ruby-安装带ruby的稳定版:

curl -sSL https://get.rvm.io | bash -s stable --ruby

查看ruby版本

rvm list

会看到如下输出:

rvm rubies

   ruby-2.2.0 [ x86_64 ]
=* ruby-2.2.1 [ x86_64 ]
   ruby-2.2.3 [ x86_64 ]

# => - current
# =* - current && default
#  * - default

查看当前ruby版本

rvm current

切换ruby版本

现在2.2.1是正在使用的ruby版本,如果想切换到2.2.2:

rvm --default use 2.2.2

若果2.2.2版本没有安装,会提示ruby-2.2.2 is not installed.
,命令安装:

rvm install ruby-2.2.2
Tag标签: 版本  
  • 专题推荐

About IT165 - 广告服务 - 隐私声明 - 版权申明 - 免责条款 - 网站地图 - 网友投稿 - 联系方式
本站内容来自于互联网,仅供用于网络技术学习,学习中请遵循相关法律法规